--[[
Name: Babble-Gas-2.2
Revision: $Rev: 28880 $
Authors(s): hyperactiveChipmunk (hyperactiveChipmunk@gmail.com)
Website: www.wowace.com
Documentation: http://www.wowace.com/wiki/Babble-Gas-2.2
SVN: http://svn.wowace.com/wowace/trunk/Babble-2.2/Babble-Gas-2.2
Dependencies: AceLibrary, AceLocale-2.2
License: MIT
]]

local MAJOR_VERSION = "Babble-Gas-2.2"
local MINOR_VERSION = tonumber(string.sub("$Revision: 28880 $", 12, -3))

if not AceLibrary then error(MAJOR_VERSION .. " requires AceLibrary") end
if not AceLibrary:HasInstance("AceLocale-2.2") then error(MAJOR_VERSION .. " requires AceLocale-2.2") end

local _, x = AceLibrary("AceLocale-2.2"):GetLibraryVersion()
MINOR_VERSION = MINOR_VERSION * 100000 + x

if not AceLibrary:IsNewVersion(MAJOR_VERSION, MINOR_VERSION) then return end

local BabbleGas = AceLibrary("AceLocale-2.2"):new(MAJOR_VERSION)

BabbleGas:RegisterTranslations("enUS", function() return {
-- Motes
	["Mote of Life"] = true,
	["Mote of Mana"] = true,
	["Mote of Shadow"] = true,
-- Types
	["Life"] = true,
	["Mana"] = true,
	["Shadow"] = true,
-- Nodes
	["Swamp Gas"] = true,
	["Arcane Vortex"] = true,
	["Felmist"] = true,
} end)

BabbleGas:RegisterTranslations("koKR", function() return {
-- Motes
	["Mote of Life"] = "생명의 티끌",
	["Mote of Mana"] = "마나의 티끌",
	["Mote of Shadow"] = "어둠의 티끌",
-- Types
	["Life"] = "생명",
	["Mana"] = "마나",
	["Shadow"] = "어둠",
-- Nodes
	["Swamp Gas"] = "늪지대 가스",
	["Arcane Vortex"] = "비전 소용돌이",
	["Felmist"] = "지옥 안개",
} end)

BabbleGas:RegisterTranslations("zhTW", function() return {
-- Motes
	["Mote of Life"] = "生命微粒 ",
	["Mote of Mana"] = "法力微粒 ",
	["Mote of Shadow"] = "暗影微粒 ",
-- Types
	["Life"] = "生命",
	["Mana"] = "法力",
	["Shadow"] = "暗影",
-- Nodes
	["Swamp Gas"] = "沼氣 ",
	["Arcane Vortex"] = "祕法漩渦 ",
	["Felmist"] = "地獄霧 ",
} end)

BabbleGas:Debug()
BabbleGas:SetStrictness(true)

AceLibrary:Register(BabbleGas, MAJOR_VERSION, MINOR_VERSION)
BabbleGas = nil
